%global commit 72dba34e55b884ce103ec9311c159a2f18239c6d
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global libsuffix yui
%global libname lib%{libsuffix}

%global _hardened_build 1


Name:		%{libname}-bindings
Version:	1.0.1
Release:	2%{?dist}
Summary:	Language bindings for %{libname}
Group:		System Environment/Libraries
License:	GPLv2
URL:		https://github.com/%{libname}/%{name}
Source0:	https://github.com/%{libname}/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:	cmake
BuildRequires:	%{libname}-devel
BuildRequires:	perl-devel
BuildRequires:	python-devel
BuildRequires:	ruby-devel
BuildRequires:	swig


%description
This package provides Perl, Python and Ruby language bindings to access
functions of %{libname}.
An User Interface engine that provides abstraction from graphical user
interfaces (Qt, Gtk) and text based user interfaces (ncurses).


%package -n ruby-%{libsuffix}

Summary:	Ruby bindings for %{libname}
Group:		Development/Languages


%description -n ruby-%{libsuffix}
This package provides Ruby language bindings to access functions of
%{libname} - An User Interface engine that provides the abstraction
from graphical user interfaces (Qt, Gtk) and text based user
interfaces (ncurses).


%package -n python-%{libsuffix}

Summary:	Python bindings for %{libname}
Group:		Development/Languages


%description -n python-%{libsuffix}
This package provides Python language bindings to access functions of
%{libname} - An User Interface engine that provides the abstraction
from graphical user interfaces (Qt, Gtk) and text based user
interfaces (ncurses).


%package -n perl-%{libsuffix}

Summary:	Perl bindings for %{libname}
Group:		Development/Languages


%description -n perl-%{libsuffix}
This package provides Perl language bindings to access functions of
%{libname} - An User Interface engine that provides the abstraction
from graphical user interfaces (Qt, Gtk) and text based user
interfaces (ncurses).


%prep
%setup -q -n %{name}-%{commit}


%build
mkdir -p build
cd build

%cmake .. \
	-DLIB=%{_libdir} \
	-DPYTHON_SITEDIR=%{python_sitearch} \
	-DCMAKE_BUILD_TYPE=RELEASE \
	-DBUILD_RUBY_GEM=no \

make %{?_smp_mflags}


%install
cd build
%make_install
ln -f ../package/%{libname}-bindings.changes ../ChangeLog


%files -n perl-%{libsuffix}
%doc swig/perl/examples/*.pl
%doc COPYING* ChangeLog
%{perl_vendorarch}/%{libsuffix}.so
%{perl_vendorlib}/%{libsuffix}.pm


%files -n python-%{libsuffix}
%doc swig/python/examples/*.py
%doc COPYING* ChangeLog
%{python_sitearch}/*%{libsuffix}.*


%files -n ruby-%{libsuffix}
%doc swig/ruby/examples/*.rb
%doc COPYING* ChangeLog
%{_libdir}/ruby/vendor_ruby/_%{libsuffix}.*


%changelog
* Sat May 18 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.1-2
- improved readability: tag ordering

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.1-1
- Initial RPM release.
